package com.thinker.bishi.offer;

/**
 * @author lzh
 */
public class Offer_10 {

    public static int go(int n){
        int count = 0;
        while(n > 0){
            count++;
            n = (n-1) & n;
        }
        return  count;
    }

    public static void main(String[] args) {
        int result = go(9);
        System.out.println(result);
    }
}
